# std::match_results::swap

From cppreference.com
< cpp‎ | regex‎ | match results

void swap( match_results& other ); |  | (since C++11)

Exchanges the shared states of two `match_results` objects.

### Parameters

other | - | the `match_results` to swap with

### Return value

(none)

### Exceptions

`noexcept` specification:
noexcept

### Example

| This section is incomplete Reason: no example

### See also

std::swap(std::match_results) (C++11) | specializes the `std::swap()` algorithm (function template)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/regex/match_results/swap&oldid=91586"
Categories:

- unconditionally noexcept
- Todo no example

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template